Chuyển đến nội dung
Diễn đàn CADViet

thanhgam2003

Thành viên
  • Số lượng nội dung

    55
  • Đã tham gia

  • Lần ghé thăm cuối

Bài đăng được đăng bởi thanhgam2003


  1. anh, chị cho em hỏi:

    Em có 1 file cad tên "quận" trong đó có các phường(phường 1, phường 2, ....phuờng n).

    làm thế nào để khi chỉnh sửa nội dung của các phường thì nội dung chỉnh sửa tự cập nhật vào file cad tên "quận"?

    (em đang cùng cad 2008).

    Cảm ơn các anh chị.


  2. Đơn giản mà, bạn chỉ cần thay thế cái chuỗi "+ -" trong cái đoạn kia là được.

    Bạn thay "+ +" thì ra chuỗi + + + + + +

    Bạn thay "- -" thì ra chuỗi - - - -

    Bạn thay "- +" thì ra chuỗi - + - + - +

     

    Bạn hiểu rồi chứ.

     

    Chúc vui.

    Khi em in thấy kiểu line đó hầu như không nhìn thấy. nếu em muốn chuỗi - + - + - + và chuỗi + + + + + + có kích thước lớn khi in ra sẽ rõ ràng, em phải làm như thế nào? (đefaul tỉ lệ 1/1)


  3. Của bạn đây :

    *Duongkethopchu+-,------- +------- +-----

    A,0,-0.2,["+ -",Standard,S=0.1,R=0,X=-0.05,Y=-0.05],-0.2

     

     

    trong trường hợp em muốn thể hiện + + + + hoặc - - - - thì em phải phải thay cấu trúc của anh như thế nào? Anh giúp em với.

    Cảm ơn anh rất nhiều.

    Chúc anh năm mới nhiều niềm vui và hạnh phúc mới.


  4. To : Thanh gam2003 :

    *Duongkethopchu+,------- +------- +-----

    A,0.75,-0.575,["+",Standard,S=0.1,R=0,X=0.05,Y=-0.05],-0.575,0.75

     

    Em làm theo hướng dẫn của anh nhưng không ra kết qua theo yêu cầu của em. Em muon cu cach dấu cộng kà dấu trừ, nhưng nếu làm theo hướng dẫn của anh thì dấu trừ nằm dưới dấu cộng

    Yêu cầu của em là + - + -+ -+ -+ -

    Hoặc + + + + + + + + + +

    Anh coi lại và giúp em với nhé

     

    :cheers:


  5. Tôi là người làm bản vẽ cad công trình, hiện nay tôi đang gặp khó khăn về việc lấy toạ độ điểm lưới thiết kế của bản vẽ công trình. Trước đay tôi đã được người bạn cho tôi một chưông trình như thế nhưng sau khi tôi sử dụng Autocad 2008 thì nó không sử dụng được nữa, vậy các bạn có thể giúp tôi được không. Tôi xin mô tả về lisp đó như sau: Khi bạn cần lấy toạ độ 1 điểm bạn chỉ cần chèn block toạ độ vào điểm đó sau đó bạn chạy VBA Manager thì bản vẽ sẽ hiện toạ độ điểm đó đồng thời xuất ra 1 file text co chứa toạ độ điểm đó ( đây cũng là phần tôi ưa thích nhất trong lisp của bạn tôi). Ngoài ra tôi cúng có phần mềm của hàn Quốc có thể làm được những việc đó tuy nhiên vi nó sử dụng font Hàn Quốc nên tôi không sử dụng được ( đó là phần mềm Dream). Vậy rất mong các bạn hãy giúp tôi nhé

     

    baạn coó the vao duong link nay xem co giup ban duoc ko nhe.

    http://www.cadviet.com/forum/index.php?sho...m2003&st=20


  6. Chào bác thanhgam2003 em cũng là dân trong nghề với bác . em cũng load lisp của bác ssg về nhưng em chưa rõ về cách chạy chương trình . mong bác hướng dẫn cụ thể cho em . em đang có công trình rất cần ứng dụng của lisp này . Thanks bác rất nhiều . Sở dĩ em cần sự giúp đỡ của bác là để cho bác ssg có thời gian nghỉ ngơi để nghiên cứu những thứ khác có ích cho cộng đồng . Mong nhận được hồi âm sơm từ anh. Thanks

    [/quote

     

     

     

    Chào bạn!

    Mìnhcũng chỉ là dân ban C nên mấy cái Lisp của Autocad minh cung mần mò mãi mới biết ứng dụng, thật ngại phải không bạn? các pác trên diễn đàn toàn tay kỳ kịu không à. Viết được Lisp, còn mình ứng dụng cũng thấy kho` khăn. Nhưng mà thôi, dù sao mình cũng tim ra cách ứng dụng nó rùi, mình chỉ cho pac nhé.

    1. Mở Autocad/tool/AutoLisp/Visual Lisp Editor/new va dan đoạn code bạn copyy trên diễn đàn về, sau đó lưu thành file với tên gọi mới

    2. Mở Autocad/tool/AutoLisp/load …..chọn tên file bạn mới đặt ở B1

    3. Ứng dụng như anh SSg đã trình bày trên diễn đàn

     

     

    Chúc bạn thành công


  7. Chao SSG

    Khi lam hồ sơ thật, em gặp vấn đề sau, anh giup em nhe.

    1. khi xuất ra bảng tọa độ, nếu dãy số là 10 số thì cột, ô vuông chứa text không đủ,

    2. Vị trí x thay là y, y thay là x vì trong hệ thống tọa độ của bản đồ là ngược lại lại so với tọa độ của cad ma

    3. Anh thêm dùm em 1 cột S(m) thể hiện chiều dài theo khoảng cách của các đoạn thẳng

    4. Điểm 1 được lặp lại 2 lần trong cột 1

     

    Em load kết quả từ cách làm của anh và file em muốn thể hiện, anh coi và giúp em nhé.

     

    http://www.cadviet.com/upfiles/guihoi_1.dwg

     

    Cảm ơn anh.


  8. Không vấn đề gì. Có mấy điểm cần hỏi lại bạn cho chắc:

     

    1- Mình đã sửa code mấy lần theo yêu cầu của nhiều người khác nhau. Ý bạn có phải đoạn code đầu tiên mình đã post ngày 7-12-2007 không?

     

    2- Tạo block cho cả bảng toạ độ bao gồm các đường kẻ và các text đúng không? Đặt tên block là gì?

     

    3- Ssg sửa luôn hay là gợi ý để bạn tự sửa?

     

    Lisp anh upload ngày đó em không download về được, mà em coppy phần "elleHCSC" load lại ngày Dec 27 2007, 11:35 và kèm theo phần có sửa một số cái. nội dung lisp như sau:

     

    (Defun DTR(x) (/ (* x pi) 180) ) ;;;change degree to radian, return REAL

    ;;;-------------------------------------------------------------------------------

    (defun lineP (p0 a r / p1) ;;;Line polar: point, degree angle, radius

    (setq p1 (polar p0 (dtr a) r)

    )

    (command "line" p0 p1 "")

    )

    ;;;-------------------------------------------------------------------------------

    (defun linePX (p0 x) (lineP p0 0 x)) ;;;Horizontal line: length x, from p0

    ;;;-------------------------------------------------------------------------------

    (defun linePY (p0 y) (lineP p0 90 y)) ;;;Vertical line: length y, from p0

    ;;;-------------------------------------------------------------------------------

    (defun getVert (e / i L) ;;;Return list of all vertex from pline e

    (setq i 0 L nil)(vl-load-com)

    (repeat (fix (+ (vlax-curve-getEndParam e) 1))

    (setq L (append L (list (vlax-curve-getPointAtParam e i))))

    (setq i (1+ i)))L)

    ;;;-------------------------------------------------------------------------------

    (defun getth( / d h) ;;;Return current text height

    (setq

    d (tblsearch "style" (getvar "textstyle"))

    h (cdr (assoc 40 d))

    )

    (if (= h 0) (setq h (cdr (assoc 42 d))))h)

    ;;;-------------------------------------------------------------------------------

    (defun wtxtMC (txt p / sty d h) ;;;Write txt on graphic screen, Middle Center

    (setq

    sty (getvar "textstyle")

    d (tblsearch "style" sty)

    h1 (cdr (assoc 40 d))

    h2 (cdr (assoc 42 d)))

    (if (> h1 0) (command "text" "j" "mc" p 0 txt)

    (command "text" "j" "mc" p h2 0 txt)

    )

    )

    ;;;-------------------------------------------------------------------------------

    ;;;PRIVATE FUNCTIONS

    ;;;-------------------------------------------------------------------------------

    (defun txt1(txtL / p1 p2 p3 p4 pL i) ;;;Write texts in 1 row

    (setq

    p1 (list (+ (car p0) (* 2 h)) (- (cadr p0) (* 1.5 h)))

    p2 (polar p1 0 (* 6 h))

    p3 (polar p2 0 (* 8 h))

    p4 (polar p3 0 (* 8 h))

    pL (list p1 p2 p3 p4)

    i 0)

    (repeat 4(wtxtMC (nth i txtL) (nth i pL))

    (setq i (1+ i))

    )

    )

    ;;;-------------------------------------------------------------------------------

    (defun mesh1() ;;;Make 1 mesh unit

    (linepy p0 (* -3 h))

    (command "copy" "L" "" p0 (list (+ (car p0) (* 4 h)) (cadr p0)))(

    command "array" "L" "" "r" 1 4 (* 8 h))

    (linepx (polar p0 (* 1.5 pi) (* 3 h)) (* 28 h)))

    ;;;-------------------------------------------------------------------------------

    ;;;MAIN PROGRAM

    ;;;-------------------------------------------------------------------------------

    (defun C:VC( / p et p0 pvL h oldos i pv num txtL)

    ;;;Vertex Co-ordinate

    ;;;INPUT DATA

    (setq p (getpoint "\nPick a point inside polygon or region:"))

    (command "boundary" p "")

    (setq et (entlast))

    (redraw et 3)

     

     

    2. Tạo block cho cả bảng toạ độ bao gồm các đường kẻ và các text. Tên Block tùy anh đặt. Nhưng text phải nằm giu7a4 ô. Bởi với chức năng này cho phép anh scale tỉ lệ dễ dàng đối với các đối tượng có diện tích nhỏ

    3. Nhờ anh sửa giúp dùm em được ko?

     

     

    Cảm ơn anh.

×